Package: org.codehaus.groovy.ast.tools

## [Java] Class ClassNodeUtils

- org.codehaus.groovy.ast.tools.ClassNodeUtils

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode, Map<String, MethodNode> methodsMap)`
    `` | `static void` | `addInterfaceMethods(ClassNode cNode, Map<String, MethodNode> methodsMap)`
    `` | `static Map<String, MethodNode>` | `getDeclaredMethodMapsFromInterfaces(ClassNode cNode)`
    `` | `static String` | `getPropNameForAccessor(String accessorName)`
    `` | `static PropertyNode` | `getStaticProperty(ClassNode cNode, String propName)`
    `` | `static boolean` | `hasPossibleStaticMethod(ClassNode cNode, String name, Expression arguments, boolean trySpread)`
    `` | `static boolean` | `hasPossibleStaticProperty(ClassNode cNode, String methodName)`
    `` | `static boolean` | `hasStaticProperty(ClassNode cNode, String propName)`
    `` | `static boolean` | `isInnerClass(ClassNode cNode)`
    `` | `static boolean` | `isValidAccessorName(String accessorName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode, Map<String, MethodNode> methodsMap)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static void addInterfaceMethods(ClassNode cNode, Map<String, MethodNode> methodsMap)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static Map<String, MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode cNode)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static String getPropNameForAccessor(String accessorName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static PropertyNode getStaticProperty(ClassNode cNode, String propName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static boolean hasPossibleStaticMethod(ClassNode cNode, String name, Expression arguments, boolean trySpread)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static boolean hasPossibleStaticProperty(ClassNode cNode, String methodName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static boolean hasStaticProperty(ClassNode cNode, String propName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static boolean isInnerClass(ClassNode cNode)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static boolean isValidAccessorName(String accessorName)